#
# spec file for package xcowsay
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xcowsay
Version:        1.3
Release:        lp152.3.6
Summary:        Displays a cute cow and message on your Linux desktop
License:        GPL-3.0+
Group:          Amusements/Toys/Other
Url:            http://www.doof.me.uk/xcowsay/
Source:         http://www.nickg.me.uk/files/xcowsay-1.3.tar.gz
Source1:        xcowsay.desktop
Source2:        xcowsay.svg
Source3:        xcowhelp.desktop
Source4:        xcowhelp.svg
Patch0:         remove_xcowfortune.patch
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       gtk2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xcowsay displays a cute cow and message on your Linux desktop.
Inspired by the original cowsay.

xcowsay includes all these amazing features:
- Fully configurable!
- Calculates display time from amount of text
- Dream mode — display images in the bubble
- Can draw thought and speech bubbles
- Daemon mode! Send your cow messages over DBus!
- Three different sized cows provided
- fortune(6) wrapper program - (unavailable temporarily)
- Replace the naffness that is xmessage(1)
- Should work with any window manager
- Supports UTF-8 characters properly
- Automatic word wrapping
- Use alternative non-cow images if you like

%prep
%setup -q
%patch0 -p1

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%build
%configure --enable-dbus
make %{?_smp_mflags}

%install
%make_install
%find_lang xcowsay
%suse_update_desktop_file -i xcowsay
%suse_update_desktop_file -i xcowhelp
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -a %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -a %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

%files -f xcowsay.lang
%doc ChangeLog COPYING README AUTHORS
%{_bindir}/xcowdream
%{_bindir}/xcowsay
%{_bindir}/xcowthink
%{_mandir}/man6/xcowsay.6%{ext_man}
%{_datadir}/xcowsay
%{_datadir}/applications/xcowhelp.desktop
%{_datadir}/applications/xcowsay.desktop
%{_datadir}/icons/hicolor/

%changelog
* Sat Nov 25 2017 wnereiz@eienteiland.org
- Remove xcowfortune ("remove_xcowfortune.patch") because fortune will be dropped.
- Add xcowsay.svg and xcowsay.desktop
* Fri Jan  1 2016 wnereiz@gmail.com
- Init the xcowsay spec file
